<?
$infos=get_user_info();
$name=$_COOKIE['v_name'];
$nick=$_COOKIE['v_nick'];
$url=$infos['url'];

$nick_size=15;
$nick_len=mb_strlen($nick,'UTF8');
if($nick_len>9){$nick_size=13;}
$i=1;
while($i<3)
{
	$num=$num+$_POST['i'.$i];
	$i++;
}

if($num==5){$level='你的魅力来源于你坚强自立的个性，对方钟情于你的原因是因为你表现出坚强的样子，让对方可以依赖和依靠你，而你往往是经济独立、懂得表达自己的感觉和思想的人。热情的你，会让周围的人觉得你能给他们带来希望。';}
if($num==10){$level='你能给对方足够的心理空间，所以对方会觉得你很体贴、善解人意。你能吸引对方是因为你能使对方在全无心理压力下与你谈情说爱，你懂得体谅对方工作繁忙或其他的难言之隐。';}
if($num==20){$level='你是一个容易知足的人。知道自己想要什么，也明白自己该要的是什么。你对异性要求不多，对方自然也很欣赏你这一点。而你的恋爱对象几乎都是以自我为中心的人，你与他们谈恋爱，往往是把自己的价值尽量降低，迁就对方。不太考虑自己的内心感受，即使不乐意去做，也会强压住自己的想法，以求得双方的和谐。';}
if($num==30){$level='表示你心仪的对象是一个处事得体，懂得自我解决问题的人，而你也是一个坚强而且办事效率高的人，很有人情味，喜欢创造生活情趣。正因为你们有着彼此不同的东西，比如不同的看法，不同的个性，所以才会因为这些不同的闪光点而相互吸引。';}

$img_path='./imgs/mei3li_1.png';
$img=getImgType($img_path);
$img=createImg($img,$nick,5,50,50,0,$nick_size,'19f','yahei');
$img=createImg($img,$level,15,75,17,0,12,'fff','yahei');

$content='你愿意和什么样的异性共享短暂的人生呢？你对他（她）有足够的吸引力吗？那么你的魅力点在哪儿呢？快来做个专业测试吧~！ #爱情魅力#：'.$url;
$rt_info=post_send($content,$img);